<?php
/**
* @author moufer<moufer@163.com>
* @copyright www.modoer.com
* @version $Id ac_detail.php 1 2008-08-14  15:46 $
*/
!defined('IN_MUDDER') && exit('Access Denied');

if(empty($couponid) || $couponid < 0) {
    $inajax && dialog('系统提示', '无效的参数。');
    redirect("无效的参数。");
}
$query = $db->query("SELECT * FROM {$dbpre}coupons WHERE couponid='$couponid'");
if(!$detail = $db->fetch_array($query)) {
    $inajax && dialog('系统提示', '对不起，您操作的优惠券不存在或已删除。');
    redirect('对不起，您查看的优惠券不存在或已删除。');
} elseif($detail['flag'] == 2) {
    $inajax && dialog('系统提示', '对不起，您操作的优惠券尚未通过管理员审核，您目前无法查看。');
    redirect('对不起，您查看的优惠券尚未通过管理员审核，您目前无法查看。');
}
//失效判断
$outofdate = $detail['endtime'] < $timestamp;

$query = $db->query("SELECT * FROM {$dbpre}coupons WHERE couponid='$couponid'");
if(!$detail = $db->fetch_array($query));
if($detail['flag'] == 2) redirect('对不起，您查看的优惠券尚未通过管理员审核，您目前无法查看。');

// 更新浏览量
$db->update("UPDATE {$dbpre}coupons SET pageview=pageview+1 WHERE couponid='$couponid'");

//对应的商铺
if(!function_exists('getItem')) {
    require_once(MUDDER_ROOT.'./'.$_modules['shop']['directory'].'/include/fun_item.php');
}
$shop = getItem($detail['shopid']);

$tpl_name = 'coupon_detail';
$subtitle = '优惠券_'.$detail['subject'].'_'.$detail['des'].'_'.$shop['fullname'];
require_once MUDDER_ROOT.'header.php';
require_once template($tpl_name);
footer();
?>